- !OutputStorage
  converted_components:
    ? !InstComponent
      cdef: !ComponentDefinition
        childs: []
        comments: []
        designs: []
        elem_comments: []
        goals: []
        name: null
        needs: []
        parameters: []
        pos: !Position {column: 1, fname: 'C:/ratio/python/raesl/tests/data/good_examples/bundle_relation.esl',
          line: 9}
        relations:
        - !Relation
          arguments:
          - &id002 !ElementaryVariable
            comments: &id004 []
            is_property: false
            name: b.r
            pos: &id001 !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/bundle_relation.esl',
              line: 11}
            vartype: &id005 !Type {comments: null, name: real, pos: null}
          - &id003 !ElementaryVariable
            comments: &id006 []
            is_property: false
            name: b.s
            pos: *id001
            vartype: &id007 !Type {comments: null, name: string, pos: null}
          comments: []
          label: c1
          label_pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/bundle_relation.esl',
            line: 14}
          rel_def: &id008 !RelationDefinition
            comments: &id014 []
            name: calc
            pos: !Position {column: 5, fname: 'C:/ratio/python/raesl/tests/data/good_examples/bundle_relation.esl',
              line: 7}
        transformations: []
        variables:
        - !BundleVariable
          comments: []
          is_property: false
          name: b
          pos: *id001
          subvars:
          - - r
            - *id002
          - - s
            - *id003
          vartype: !BundleType
            comments: []
            fields:
            - !BundleField
              comments: *id004
              field_name: r
              field_pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/bundle_relation.esl',
                line: 2}
              field_type: *id005
            - !BundleField
              comments: *id006
              field_name: s
              field_pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/bundle_relation.esl',
                line: 3}
              field_type: *id007
            name: B
            pos: !Position {column: 5, fname: 'C:/ratio/python/raesl/tests/data/good_examples/bundle_relation.esl',
              line: 1}
      comments: &id011 []
      comp_num: 0
      depth: 0
      designs: []
      end_comp_num: 1
      flow_set: !!set
        ? &id009 !ElementaryInstVariable
          comments: &id015 []
          cvar: *id002
          path: world.b.r
          property_owner: null
          var_number: 0
        : null
        ? &id010 !ElementaryInstVariable
          comments: &id016 []
          cvar: *id003
          path: world.b.s
          property_owner: null
          var_number: 1
        : null
      goals: []
      needs: []
      path: world
      relations:
      - &id012 !InstRelation
        comments: &id013 []
        crel: *id008
        path: world.c1
        variable_set: !!set
          *id009: null
          *id010: null
      transforms: []
    : &id023 !EslComponent
      children: []
      comments: *id011
      name: world
      node_class: EslComponent
      parent: null
  converted_design_funcs: {}
  converted_design_rules: {}
  converted_goals: {}
  converted_needs: {}
  converted_relations:
    *id012: &id022 !EslRelation
      comments: *id013
      name: world.c1
      node_class: EslRelation
      relation_type: &id017 !EslRelationType
        comments: *id014
        name: calc
        node_class: EslRelationType
      variables:
      - &id018 !EslVariable
        comments: *id015
        name: world.b.r
        node_class: EslVariable
        property_owner: null
        var_type: &id020 !EslVariableType {comments: null, name: real, node_class: EslVariableType,
          parent: null}
      - &id019 !EslVariable
        comments: *id016
        name: world.b.s
        node_class: EslVariable
        property_owner: null
        var_type: &id021 !EslVariableType {comments: null, name: string, node_class: EslVariableType,
          parent: null}
  converted_reltypes:
    *id008: *id017
  converted_transforms: {}
  converted_variables:
    *id009: *id018
    *id010: *id019
  converted_vartypes:
    *id005: *id020
    *id007: *id021
  file_root: !EslFile
    edges:
    - !EslEdge
      destination: *id019
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id022
        variables: []
      source: *id018
    - !EslEdge
      destination: *id018
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id022
        variables: []
      source: *id019
    - !EslEdge
      destination: *id018
      edge_class: EslMappingRelation
      reasons:
      - &id024 !EslUsageReason {reason: EslUsage}
      source: *id023
    - !EslEdge
      destination: *id019
      edge_class: EslMappingRelation
      reasons:
      - *id024
      source: *id023
    - !EslEdge
      destination: *id022
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id018
        - *id019
      source: *id023
    - !EslEdge
      destination: *id018
      edge_class: EslMappingRelation
      reasons:
      - &id025 !EslUsageReason {reason: EslUsage}
      source: *id022
    - !EslEdge
      destination: *id019
      edge_class: EslMappingRelation
      reasons:
      - *id025
      source: *id022
    nodes:
    - *id023
    - *id017
    - *id020
    - *id018
    - *id021
    - *id019
    - *id022
- {version: 0.0.1}
